netatalk: nad_mv.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nad_mv.c File Reference
`#include <errno.h>`
`#include <libgen.h>`
`#include <limits.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <bstrlib.h>`
`#include <atalk/adouble.h>`
`#include <atalk/queue.h>`
`#include <atalk/unix.h>`
`#include <atalk/util.h>`
`#include <atalk/vfs.h>`
`#include <atalk/volume.h>`
`#include "nad.h"`

## Macros
#define | STRIP_TRAILING_SLASH(p)

## Functions
static int | copy (const char *, const char *)
static int | do_move (const char *, const char *)
static void | usage_mv (void)
int | nad_mv (int argc, char *argv[], AFPObj *obj)
static int | remove_path (const char *path)

## Variables
static int | fflg
static int | iflg
static int | nflg
static int | vflg
static AFPObj * | afp_obj
static afpvol_t | svolume
static afpvol_t | dvolume
static cnid_t | did
static cnid_t | pdid

## Macro Definition Documentation

## ◆ STRIP_TRAILING_SLASH

#define STRIP_TRAILING_SLASH | ( |  | p | ) |

Value:
{ \
while ((p).p_end > (p).p_path + 1 && (p).p_end[-1] == '/') \
*--(p).p_end = 0; \
}
p
size_t p
Definition dircache.c:256

## Function Documentation

## ◆ copy()

int copy | ( | const char * | from,
|  | const char * | to )
| static

## ◆ do_move()

int do_move | ( | const char * | from,
|  | const char * | to )
| static

## ◆ nad_mv()

int nad_mv | ( | int | argc,
|  | char * | argv[],
|  | AFPObj * | obj )

## ◆ remove_path()

int remove_path | ( | const char * | path | ) |
| static

## ◆ usage_mv()

void usage_mv | ( | void |  | ) |
| static

## Variable Documentation

## ◆ afp_obj

AFPObj* afp_obj
| static

## ◆ did

cnid_t did
| static

## ◆ dvolume

afpvol_t dvolume
| static

## ◆ fflg

int fflg
| static

## ◆ iflg

int iflg
| static

## ◆ nflg

int nflg
| static

## ◆ pdid

cnid_t pdid
| static

## ◆ svolume

afpvol_t svolume
| static

## ◆ vflg

int vflg
| static